接口目录
接口文档
小红书热点
更新时间:2024-06-06 接口状态:正常 专业会员免费

小红书搜索热点,每10分钟一次!(由于小红书热榜下架,现接口数据不更新)

本站所有充值均不含税,如需开票,请联系客服!

专业会员

选择开通时长:

¥ 380 / 1 年
¥ 38 / 1 月
年付会员 10000 次 / 天, 月付会员 3000 次 / 天
注1:会员一经购买,概不退款。会员权益如未使用,逾期作废。全站会员指标注会员免费的产品,不支持全站会员的产品无法免费。
¥ 100 / 1 年
¥ 30 / 3个月
¥ 10 / 1个月
年付会员 10000 次 / 天, 月付会员 3000 次 / 天
注册即送 100 次,免费额度用完后需开通专业会员

接口地址:https://api.itapi.cn/api/hotnews/xiaohongshu

返回格式:application/json

请求方式:HTTPSGET

请求参数:

参数名称 类型 必填 说明
key string 是 用户请求密钥,可在 密钥管理页面 申请

返回参数:

参数名称 类型 说明
rankstring排名
namestring小小高考,拿下!
datestring2024-06-06
viewnumstring1100.9w
iconstringhttps://sns-img-qc.xhscdn.com/search/trends/icon/label/hot/version/1
word_typestring热
urlstringhttps://www.xiaohongshu.com/search_result?keyword=小小高考,拿下!&source=web_search_result_notes

返回示例:

系统错误代码:

代号 说明
200 成功
400 限制或者错误
403 权限问题
500 服务器内部错误
包年包月
包月套餐 套餐规格 价格
一个月 3000次 / 天 10 元 / 月 -
一季度 3000次 / 天 30 元 / 季 -
一年 10000次/天 100 元 / 年 -
专业会员
会员套餐 套餐规格 价格
免费会员 100次 0.00 元  -
月付会员 3000次 / 天 38 元 / 月 -
年付会员 10000次/天 380 元 / 年 -
* 专业会员指标注会员免费的产品,不支持专业会员的产品无法免费。

本站接口已整体接入 MCP(Model Context Protocol)。把下面的端点填进支持 MCP 的客户端(Cherry Studio、Cursor、Claude Desktop 等),即可让大模型以「工具」的方式调用本接口;调用等同于用你的密钥请求本接口,鉴权、计费、限流、日志与直接调用接口完全一致。

MCP 端点:https://api.itapi.cn/mcp

本接口工具名:hotnews_xiaohongshu(由接口路径自动生成)

鉴权方式:请求头 Authorization: Bearer 你的密钥

工具参数:

本接口无需额外参数,直接调用即可(密钥由鉴权头传递)。

调用示例(JSON-RPC):

复制
{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "tools/call",
    "params": {
        "name": "hotnews_xiaohongshu",
        "arguments": {}
    }
}

cURL 调用:

复制
curl -X POST 'https://api.itapi.cn/mcp' \
  -H 'Authorization: Bearer 你的密钥' \
  -H 'Content-Type: application/json' \
  -d '{"jsonrpc":"2.0","id":1,"method":"tools/call","params":{"name":"hotnews_xiaohongshu","arguments":{}}}'

Python 调用:

复制
import requests

url = 'https://api.itapi.cn/mcp'
headers = {'Authorization': 'Bearer 你的密钥', 'Content-Type': 'application/json'}
payload = {"jsonrpc":"2.0","id":1,"method":"tools/call","params":{"name":"hotnews_xiaohongshu","arguments":{}}}

print(requests.post(url, json=payload, headers=headers, timeout=60).json())

客户端配置:

复制
{
    "mcpServers": {
        "itapi": {
            "type": "streamable-http",
            "url": "https://api.itapi.cn/mcp",
            "headers": {
                "Authorization": "Bearer 你的密钥"
            }
        }
    }
}
说明:完整接入教程、SSE 用法与更多客户端写法见 MCP 接入说明;工具列表可通过 tools/list 获取,本站全部接口都会映射为一个工具。